Docs menu

Threads post

Beta GET /v1/threads/post

GET /v1/threads/post

The post with its counts and media, and its top replies in extra.replies.

  • Cost: 1 credit
  • Status: Beta. Built and tested against recorded responses; the shape may still gain fields.
  • Cache: Results are kept up to 30 days; send max_age_days to reuse them for free.
  • Timeout: A request still running after about 25 seconds answers 202 with a job to poll (Batch and jobs).

Parameters#

NameTypeRequiredDescription
urlURLyesPost URL (threads.net/@user/post/...). Accepted hosts: threads.net, threads.com.

Every request also accepts:

  • trim: true for a smaller response without null fields and extra.
  • raw: true to also get the platform's original object as raw.
  • max_age_days: accept a cached result up to this many days old, for 0 credits (Caching).

Example request#

Set your key in the environment first (see Authentication).

curl
curl -G "https://api.socialscrape.io/v1/threads/post" \
  -H "x-api-key: $SOCIALSCRAPE_API_KEY" \
  --data-urlencode "url=https://www.threads.com/@zuck/post/DeZtp-TkQHh"
Python
import os
import requests

params = {
    "url": "https://www.threads.com/@zuck/post/DeZtp-TkQHh",
}
res = requests.get(
    "https://api.socialscrape.io/v1/threads/post",
    headers={"x-api-key": os.environ["SOCIALSCRAPE_API_KEY"]},
    params=params,
)
body = res.json()

if body["ok"]:
    print(body["data"])
else:
    print(body["error"]["code"], body["error"]["message"])
TypeScript
const url = new URL("https://api.socialscrape.io/v1/threads/post");
url.search = new URLSearchParams({
  "url": "https://www.threads.com/@zuck/post/DeZtp-TkQHh"
}).toString();
const res = await fetch(url, {
  headers: { "x-api-key": process.env.SOCIALSCRAPE_API_KEY! },
});
const body = await res.json();

if (body.ok) {
  console.log(body.data);
} else {
  console.error(body.error.code, body.error.message);
}
n8n
{
  "nodes": [
    {
      "name": "SocialScrape Threads post",
      "type": "n8n-nodes-base.httpRequest",
      "typeVersion": 4.2,
      "position": [
        0,
        0
      ],
      "parameters": {
        "method": "GET",
        "url": "https://api.socialscrape.io/v1/threads/post",
        "sendQuery": true,
        "queryParameters": {
          "parameters": [
            {
              "name": "url",
              "value": "https://www.threads.com/@zuck/post/DeZtp-TkQHh"
            }
          ]
        },
        "sendHeaders": true,
        "headerParameters": {
          "parameters": [
            {
              "name": "x-api-key",
              "value": "={{ $env.SOCIALSCRAPE_API_KEY }}"
            }
          ]
        }
      }
    }
  ],
  "connections": {}
}

Example response#

This is a sample from a recorded response, lists and long text are shortened, other people's names and handles are replaced. Status 200.

{
  "ok": true,
  "credits_charged": 1,
  "credits_remaining": 4999,
  "cached": false,
  "cached_at": null,
  "request_id": "req_ef6ac6756ac9cd5359000140",
  "data": {
    "object": "post",
    "platform": "threads",
    "id": "4006434140014576097",
    "url": "https://www.threads.com/@zuck/post/DeZtp-TkQHh",
    "type": "image",
    "author": {
      "id": "63055343223",
      "handle": "zuck",
      "name": "Mark Zuckerberg",
      "url": "https://www.threads.com/@zuck",
      "avatar_url": "https://scontent-den2-1.cdninstagram.com/v/t51.82787-19/825322135_17989325280103224_1252773933700107438_n.jpg?stp=dst-jpg_s206x206_tt6&_nc_cat=107&ccb=7-5&_nc_sid=30ff31&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc...",
      "verified": true
    },
    "title": null,
    "text": "Introducing Muse Wonder, our new family of frontier models with state of the art performance for personal and professional agentic work.",
    "published_at": "2026-10-12T16:56:29Z",
    "duration_seconds": null,
    "language": "en",
    "hashtags": null,
    "mentions": null,
    "stats": {
      "views": null,
      "likes": 2143,
      "comments": 623,
      "shares": 232,
      "saves": null,
      "dislikes": null
    },
    "media": {
      "thumbnail_url": "https://scontent-den2-1.cdninstagram.com/v/t51.82787-15/844965867_17991705567103224_8296143909108287920_n.webp?_nc_cat=109&ig_cache_key=NDAwNjQzNDE0MDAxNDU3NjA5Nw%3D%3D.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&efg=eyJ2ZW5jb2RlX3RhZyI6IkZFRUQueHBpZHM...",
      "video_url": null,
      "audio_url": null,
      "image_urls": [
        "https://scontent-den2-1.cdninstagram.com/v/t51.82787-15/844965867_17991705567103224_8296143909108287920_n.webp?_nc_cat=109&ig_cache_key=NDAwNjQzNDE0MDAxNDU3NjA5Nw%3D%3D.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&efg=eyJ2ZW5jb2RlX3RhZyI6IkZFRUQueHBpZHM..."
      ],
      "width": 2160,
      "height": 3260
    },
    "song": null,
    "location": null,
    "is_pinned": false,
    "is_sponsored": null,
    "extra": {
      "code": "DeZtp-TkQHh",
      "full_id": "4006434140014576097_63055343223",
      "quotes": 62,
      "replies": [
        {
          "author": {
            "id": "1000000001",
            "handle": "sample_user",
            "name": "Sample User",
            "url": null,
            "avatar_url": null,
            "verified": false
          },
          "extra": {
            "code": "DeZuAywDEWf"
          },
          "id": "4006435708155479455",
          "object": "comment",
          "parent_id": "4006434140014576097",
          "platform": "threads",
          "post_id": "4006434140014576097",
          "published_at": "2026-10-12T16:59:36Z",
          "stats": {
            "likes": 0,
            "replies": 0
          },
          "text": "Impressive stuff.\nDoes it beat OpenAIs Dots though?",
          "url": "https://www.threads.com/@_randomdev001/post/DeZuAywDEWf"
        },
        {
          "author": {
            "id": "1000000001",
            "handle": "sample_user",
            "name": "Sample User",
            "url": null,
            "avatar_url": null,
            "verified": false
          },
          "extra": {
            "code": "DeZuC5mCQTx"
          },
          "id": "4006435852942640369",
          "object": "comment",
          "parent_id": "4006434140014576097",
          "platform": "threads",
          "post_id": "4006434140014576097",
          "published_at": "2026-10-12T16:59:53Z",
          "stats": {
            "likes": 6,
            "replies": 0
          },
          "text": "You're a fucking traitor!",
          "url": "https://www.threads.com/@ron.peter.1967/post/DeZuC5mCQTx"
        },
        {
          "author": {
            "id": "1000000001",
            "handle": "sample_user",
            "name": "Sample User",
            "url": null,
            "avatar_url": null,
            "verified": false
          },
          "extra": {
            "code": "DeZuIIaCGyE"
          },
          "id": "4006436212444785796",
          "object": "comment",
          "parent_id": "4006434140014576097",
          "platform": "threads",
          "post_id": "4006434140014576097",
          "published_at": "2026-10-12T17:00:36Z",
          "stats": {
            "likes": 27,
            "replies": 1
          },
          "text": "Can you make that stupid moose to remove all the ai and bots from ig and fb?",
          "url": "https://www.threads.com/@cristi.baluta/post/DeZuIIaCGyE"
        }
      ],
      "reply_control": "everyone",
      "reposts": 170,
      "shares_sent": 148
    }
  },
  "cursor": null,
  "has_more": null
}

Response#

A Post object in data.

See Data models for every field. The envelope around data is described in Responses.

Errors#

Failures are free: credits_charged is 0. Branch on error.code, never on the message.

CodeHTTPRetryMeaning
invalid_params400noA parameter is missing, unknown or has the wrong type.
unsupported_url400noThe URL is not one this endpoint accepts (wrong platform or form).
not_found404noThe platform says this profile, post or item does not exist.

Every request can also fail with the account and platform errors listed on the Errors page.

Example error:

{
  "ok": false,
  "error": {
    "code": "not_found",
    "message": "The platform says this profile, post or item does not exist.",
    "retryable": false
  },
  "credits_charged": 0,
  "request_id": "req_8fefa2b83c16306c23348358"
}